/*  ==========================================================================
    Tabs
    ========================================================================== */

/*
    Block
    ========================================================================== */

.tabs {

}

/*
    Elements
    ========================================================================== */

.tabs__tab {
    cursor: pointer;

    &.is-active {

        .tabs__visible {
            background: $c-white;
            color: map-get( $c-colours, primary );
        }
    }
}

.tabs__visible {
    background: map-get( $c-colours, dark-green );
    border: 1px solid $c-white;
    padding: 50px 30px 45px;
    line-height: 1.1;
    margin-bottom: 20px;
    @include vs-spacing(padding-top, 15px, 50px);
    @include vs-spacing(padding-right, 20px, 30px);
    @include vs-spacing(padding-bottom, 15px, 45px);
    @include vs-spacing(padding-left, 20px, 30px);
}

.tab__hidden {
    position: relative;
    margin-bottom: 40px;
    display: none;

    &.is-visible {
        display: block;
    }

    &[data-tab="1"] {

        &:after {
            left: 12%;
        }
    }

    &[data-tab="2"] {

        &:after {
            left: 37%;
        }
    }

    &[data-tab="3"] {

        &:after {
            left: 62%;
        }
    }

    &[data-tab="4"] {

        &:after {
            left: 87%;
        }
    }

    &:after {
        content: '';
        position: absolute;
        top: -10px;
        right: 154px;
        display: none;
        width: 0;
        height: 0;
        border-left: 10px solid transparent;
        border-right: 10px solid transparent;
        border-bottom: 10px solid $c-white;

        @include breakpoint( xlarge ) {
            display: block;
        }
    }

    nav {
        padding: 23px 30px;
        background: $c-white;
    }

    li {
        float: left;
        margin-right: 22px;
        padding-right: 22px;
        border-right: 1px solid map-get( $c-colours, primary );

        @include breakpoint( large down ) {
            float: none;
            margin-right: 0px;
            padding-right: 0px;
            border-right: none;
        }

        &:last-child() {
            border-right: none;
            margin-right: 0px;
            padding-right: 0px;
        }
    }

    a {
        transition: color 300ms ease;

        &:hover {
            color: map-get( $c-colours, green );
        }
    }
}